# External Workflow Enrollment API

# Overview
	The External Workflow Enrollment API enables end users to enroll their devices through a guided workflow process in RUCKUS One platform.
	These APIs orchestrate the device onboarding experience by executing sequential enrollment steps including authentication, device registration, and network provisioning.
	Use these endpoints to initiate enrollment workflows, progress through enrollment steps, and retrieve enrollment status and credentials.

Version: 0.0.1
License: RUCKUS Cloud Privacy Policy

## Servers

RUCKUS One API host for North American region.
```
https://api.ruckus.cloud
```

RUCKUS One API host for European region.
```
https://api.eu.ruckus.cloud
```

RUCKUS One API host for Asian region.
```
https://api.asia.ruckus.cloud
```

## Download OpenAPI description

 - [External Workflow Enrollment API](https://docs.ruckus.cloud/_bundle/api/device-enrollment-api-0.0.1.yaml)

## Device Enrollment

 - [GET /deviceEnrollments/workflows/{workflowId}/files/{fileId}](https://docs.ruckus.cloud/api/device-enrollment-api-0.0.1/device-enrollment/getsignedurlfordownload.md): Get signed URL for download.
 - [GET /deviceEnrollments/workflows/{workflowId}/enrollments/{enrollmentId}](https://docs.ruckus.cloud/api/device-enrollment-api-0.0.1/device-enrollment/fetchenrollment.md): Allows the user to get an enrollment.
 - [GET /deviceEnrollments/workflows/{workflowId}/certificates](https://docs.ruckus.cloud/api/device-enrollment-api-0.0.1/device-enrollment/downloadcertificate.md): Allows the user to download certificate for the enrollment.
## Device Enrollment Workflow

 - [GET /deviceEnrollments/workflows/{workflowId}/steps/{stepId}](https://docs.ruckus.cloud/api/device-enrollment-api-0.0.1/device-enrollment-workflow/getstepfornav.md): Allows the user to fetch workflow step for the enrollment.
 - [PUT /deviceEnrollments/workflows/{workflowId}/steps/{stepId}](https://docs.ruckus.cloud/api/device-enrollment-api-0.0.1/device-enrollment-workflow/updatestep.md): Allows the user to update a workflow step for the enrollment.
 - [POST /deviceEnrollments/workflows/{workflowId}/login](https://docs.ruckus.cloud/api/device-enrollment-api-0.0.1/device-enrollment-workflow/login.md): Allows the user to login for device enrollment.
 - [GET /deviceEnrollments/workflows/{workflowId}](https://docs.ruckus.cloud/api/device-enrollment-api-0.0.1/device-enrollment-workflow/getworkflow.md): Allows the user to fetch workflow configuration.
 - [GET /deviceEnrollments/workflows/{workflowId}/steps/currentSteps](https://docs.ruckus.cloud/api/device-enrollment-api-0.0.1/device-enrollment-workflow/getcurrentstep.md): Allows the user to fetch the current step for the enrollment.
